open OFC
open Pie_values

let () =
  let values = [
    ("New Zealand",        52236);
    ("Vodafone Mobile",     9560);
    ("Airedale Street",     6367);
    ("Ellerslie",           5870);
    ("Auckland LICA",       2627);
    ("Manukau City",        2360);
    ("Telecom Mobile",      2068);
    ("Remuera",             1747);
    ("Henderson",           1231);
    ("East Tamaki / Otara", 1187);
  ] in
  let p = new_pie_elem () in
  pie_elem_set_colours p [
     "#0247fe"; "#3d01a4"; "#8601af"; "#a7194b"; "#fe2712"; "#fd5308";
     "#fb9902"; "#fabc02"; "#fefe33"; "#d0ea2b"; "#66b032"; "#0392ce"; ];

  pie_elem_set_alpha p ~alpha:0.5;
  pie_elem_set_border p ~border:2;
  pie_elem_set_label_colour p "#432baf";
  pie_elem_set_start_angle p 0;
  pie_elem_set_tip p ~tip:"#val# of #total#<br>#percent# of 100%";
  pie_elem_set_gradient_fill p false;
  pie_elem_set_animations p [Bounce 8; Fade];

  let values = List.map (fun (label, value) -> pie_value ~label (I value)) values in
  pie_elem_add_values p values;

  let c = new_chart() in
  chart_add_element c p;
  chart_set_bg_colour c "#ffffff";
  chart_set_title c ~style:"color: #888888; font-size: 16; text-align: center"
                    "Top 10 Caller Locations by OGA";
  print_chart c;
;;

