open OFC

let () =
  let bar = new_bar_elem() in
  bar_elem_set_colour bar "#9933CC";
  bar_elem_set_legend bar "Page views";
  bar_elem_set_font_size bar 10;
  bar_elem_add_ints bar [9; 6; 7; 9; 5; 7; 6; 9; 11];

  let c = new_chart() in
  chart_set_bg_colour c "#FFFFD0";
  chart_set_title c ~style:"font-size:16px; font-family:Verdana; color:#404550;"
                    "My Bar Chart";
  chart_add_element c bar;
  let labels = new_labels
    ["January";"February";"March";"April";"May";"June";"July";"August";"September"] in
  chart_set_x_axis c ~labels ();
  chart_set_y_axis c ~max:14 ();
  chart_set_tooltip c ~shadow:false ~stroke:5
      ~colour:"#00d000" ~background:"#d0d0ff"
      ~title:"font-size:14px; color:#905050;"
      ~body:"font-size:10px; font-weight:bold; color:#9090ff;" ();
  print_chart c;
;;

