open OFC

let () =
  let e1 = new_line_elem() in
  line_elem_set_width e1 5;
  line_elem_set_loop e1 true;
  line_elem_add_ints e1 [3; 4; 5; 4; 6; 8; 7; 8; 9; 7; 5];

  let e2 = new_area_elem() in
  area_elem_set_width e2 3;
  area_elem_set_loop e2 true;
  area_elem_set_colour e2 "#F9C738";
  area_elem_set_fill e2 "#F9C738";
  area_elem_set_fill_alpha e2 0.4;
  area_elem_add_ints e2 [8; 9; 7; 5; 3; 4; 5; 4; 6; 8; 7];


  let c = new_chart() in
  chart_add_element c e2;
  chart_add_element c e1;
  chart_set_bg_colour c "#ffffff";
  chart_set_title c ~style:"color: #888888; font-size: 16; text-align: center"
                    "My Radar Chart";
  let labels = new_labels ~colour:"#000000" ~visible_steps:2
                          ["A"; "B"; "C"; "D"; "E"; "F"; "G"; "H"; "I"; "J"; "K"] in
  let spoke_labels =
    let items =
      List.map (fun (colour, text) -> label_item ~colour text) [
        "#00AA00", "alpha";
        "#FF0000", "beta";
        "#0000FF", "gamma";
        "#3060A0", "delta";
        "#A03060", "epsilon";
        "#3080A0", "dzeta";
        "#6030A0", "eta";
        "#60A030", "theta";
        "#5060A0", "iota";
        "#A06030", "kappa";
        "#3060C0", "lambda";
      ]
    in
    new_spoke_label_items items
  in
  chart_set_radar_axis c ~max:10 ~stroke:3 ~labels ~spoke_labels
                         ~colour:"#167840" ~grid_colour:"#E1AAF5" ();
  print_chart c;
;;

