open OFC
open HBar_values

let () =
  let hb = new_hbar_elem() in
  hbar_elem_set_tip hb "#val#<br>L:#left#, R:#right#";
  hbar_elem_set_colour hb "#9933CC";
  hbar_elem_set_legend hb "Page views";
  hbar_elem_set_font_size hb 10;
  hbar_elem_add_values hb [Int 10; Int 15; LeftRightInt(5, 15)];

  let c = new_chart() in
  chart_add_element c hb;
  chart_set_bg_colour c "#FFF8C8";
  chart_set_title c ~style:"color: #888888; font-size: 16; text-align: center"
                    "My Horizontal-Bar Chart";

  let labels = new_labels ["slashdot.org"; "digg.com"; "reddit.com"] in
  chart_set_y_axis c ~offset_b:true ~labels ~max:2 ();

  let labels = new_labels
    ["a";"b";"c";"d";"e";"f";"g";"h";"i";"j";"k";"l";"m";"n";"o";"p";"q";"r";"s";"t";"u";"v"] in
  chart_set_x_axis c ~labels ~min:0 ~max:18 ~offset_b:false ();

  chart_set_tooltip c ~mouse:1 ();
  print_chart c;
;;

