open OFC

let () =
  let ln = new_line_elem() in
  line_elem_set_width ln 2;
  line_elem_set_dot_size ln 4;
  line_elem_set_halo_size ln 1;
  line_elem_set_dot_style ln ~tip:"[#x_label#]<br>Value: #val#" ();
  line_elem_set_colour ln "#736AFF";
  line_elem_set_legend ln "Avg. wave height (cm)";
  line_elem_set_font_size ln 10;
  line_elem_add_floats ln
    [1.50;1.69;1.88;2.06;2.21;2.34;2.43;2.48;2.49;2.47;2.40;2.30;2.17;2.01;1.83;
     1.64;1.44;1.24;1.05;0.88;0.74;0.62;0.54;0.50;0.50;0.54;0.61;0.72;0.86;1.03;
     1.22;1.41;1.61;1.81;1.99;2.15;2.29;2.39;2.46;2.49;2.48;2.44;2.35;2.23;2.08];


  let c = new_chart() in
  chart_add_element c ln;
  chart_set_title c
      ~style:"font-size:16px; margin-top:0; margin-bottom:0; \
              padding-top:0; padding-bottom:0;"
      "X Labels - Min 5 - User Specified Locations Formatted";

  chart_set_y_axis c ~max:3 ();

  let labels =
    new_label_items
      [ x_label_item (Label.Int 6);
        x_label_item (Label.Int 14);
        x_label_item ~text:"override #val#"
                     ~grid_colour:"#FF0000" ~colour:"#d00000"
                     ~rotate:45 ~size:14 ~align:Center
                     (Label.Int 31) ]
  in
  chart_set_x_axis c ~steps:1 ~min:5 ~max:50 ~labels ();

  chart_set_tooltip c
      ~shadow:false ~stroke:5
      ~colour:"#00d000" ~background:"#d0d0ff"
      ~title:"font-size: 14px; color: #905050;"
      ~body:"font-size: 10px; font-weight: bold; color: #9090ff;"
      ();

  print_chart c;
;;

